export const animateCSS = (element, animation, prefix = 'animate__') => new Promise((resolve, reject) => {
  const animationName = `${prefix}${animation}`;

  element.classList.add(`${prefix}animated`, animationName);

  function handleAnimationEnd(event) {
    event.stopPropagation()
    element.classList.remove(`${prefix}animated`, animationName)
    resolve('Animation ended')
  }

  element.addEventListener('animationend', handleAnimationEnd, {once: true})
})
